# Publii - Static-Site CMS

[![GPLv3 license](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://github.com/GetPublii/Publii/blob/master/LICENSE)
 [![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://github.com/GetPublii/Publii/graphs/commit-activity) [![OpenCollective](https://opencollective.com/publii/backers/badge.svg)](https://opencollective.com/publii/) ![Open Source Love svg1](https://badges.frapsoft.com/os/v1/open-source.svg?v=103)




[Publii](https://getpublii.com/) is a desktop-based CMS for Windows, Mac and Linux that makes creating static websites fast
and hassle-free, even for beginners.

**Current version: 0.35.0 (build 11899)**

## Why Publii?
Unlike static-site generators that are often unwieldy and difficult to use, Publii provides an
easy-to-understand UI much like server-based CMSs such as WordPress or Joomla!, where users
can create posts and other site content, and style their site using a variety of built-in themes and
options. Users can enjoy the benefits of a super-fast and secure static website, with all the
convenience that a CMS provides.

What makes Publii even more unique is that the app runs locally on your desktop rather
than on the site&#39;s server. Available for Windows, Mac, Linux once the app has been installed
you can create a site in minutes, even without internet access; since Publii is a desktop app you
can create, update and modify your site offline, then upload the site changes to your server at
the click of a button. Publii supports multiple upload options, including standard HTTP/HTTPS
servers, Netlify, Amazon S3, GitHub Pages and Google Cloud or SFTP.


![Publii Open Source Static CMS](https://getpublii.com//publii-static-cms.svg)

## Download

Publii is available for Mac, Windows, and Linux and can be downloaded from our website:

[Download Publii (.exe, .dmg, .deb, .rpm, .AppImage)](https://getpublii.com/download/)

## Developing

If you want to build newest version of Publii or contribute to the Publii code, please read about [app build process](https://github.com/GetPublii/Publii/wiki/App-build-process). 

## Getting Started
You can learn more about getting started in our [User documentation](https://getpublii.com/docs/) or [Developer documentation](https://getpublii.com/dev/).
If you have any questions or suggestions, or just need some help with using Publii, you can
visit our [Community Hub](https://publii.ticksy.com) or follow us on [Twitter](https://twitter.com/GetPublii)

### Learn More

* [User docs](https://getpublii.com/docs/)
* [Developer docs](https://getpublii.com/dev/)
* [Wiki](https://github.com/GetPublii/Publii/wiki/)
* [Issues](https://github.com/GetPublii/Publii/issues/)
* [Community forum](https://publii.ticksy.com)

## Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="graphs/contributors"><img src="https://opencollective.com/Publii/contributors.svg?width=890&button=false" /></a>


## Backers

Thank you to all our backers! 🙏 [[Become a backer](https://opencollective.com/Publii#backer)]

<a href="https://opencollective.com/Publii#backers" target="_blank"><img src="https://opencollective.com/Publii/backers.svg?width=890"></a>


## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/Publii#sponsor)]

<a href="https://opencollective.com/Publii/sponsor/0/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/1/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/2/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/3/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/4/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/5/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/6/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/7/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/8/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/Publii/sponsor/9/website" target="_blank"><img src="https://opencollective.com/Publii/sponsor/9/avatar.svg"></a>



## License
Copyright (c) 2018 TidyCustoms. General Public License v3.0, read [LICENSE](https://getpublii.com/license.html) for details.
